namespace StudiApp.Repository;

public interface IRepository<T, T1>
    where T : IRepositoryItem<T1>
{
    Task<T> Create(T item);
    Task<List<T>> GetAll();
    Task<T> Get(T1 id);
    Task<T> Update(T item);
    Task<T> Delete(T item);
}