﻿using MetroLog.Maui;
using StudiApp.Views;

using StudiApp.Models;
using StudiApp.Repository;

namespace StudiApp;

public partial class App : Application
{
	public App(IRepository<Mark, int> markRepository,
		IRepository<Lecture, int> lectureRepository,
		IRepository<Course, int> courseRepository,
		IRepository<ToDo,  int> todoRepository)
	{
		InitializeComponent();

		MainPage = new AppShell();
	}
}
